<ion-header>
  <ion-toolbar #toolbar class='custom'>
    <ion-buttons slot="start">
      <ion-back-button color='primary'></ion-back-button>
    </ion-buttons>
<!--    <ion-title *ngIf='servicesGroup.key || servicesGroup.name'>{{servicesGroup.key || servicesGroup.name}}</ion-title>-->
    <!--    <ion-buttons slot="primary">
          <ion-button color="primary" (click)='openHelpModal()'>
            <ion-icon slot="icon-only" size="large" slot="end" name="help-outline" class="custom"> </ion-icon>
          </ion-button>
        </ion-buttons>-->
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true" scrollEvents="true" [appHideHeader]="toolbar" class='custom'>
  <ion-grid>
    <ion-row>
      <ion-col class='ion-padding-horizontal'>
        <ion-text size="large" color='dark' *ngIf='servicesGroup && servicesGroup.key || servicesGroup.name'>
          <h1>{{servicesGroup.key || servicesGroup.name}}</h1>
        </ion-text>
      </ion-col>
    </ion-row>
  </ion-grid>
  <div *ngIf='group' class='ion-padding-horizontal ion-margin-vertical'>
  <ion-accordion-group>
    <ion-accordion *ngIf='group.description !== "" && group.description'>
      <ion-item slot="header">
        <ion-label><h1>{{ 'servizi.cos_e' | translate }}</h1></ion-label>
      </ion-item>
      <ion-list slot="content">
        <ion-item lines='none'>
          <ion-label class='ion-text-wrap' [innerHTML]='group.description | sanitizeHtml'></ion-label>
        </ion-item>
      </ion-list>
    </ion-accordion>
    <ion-accordion  *ngIf='group.who !== "" && group.who'>
      <ion-item slot="header">
        <ion-label><h1>{{ 'servizi.a_chi_si_rivolge' | translate }}</h1></ion-label>
      </ion-item>
      <ion-list slot="content">
        <ion-item lines='none'>
          <ion-label class='ion-text-wrap' [innerHTML]='group.who | sanitizeHtml'></ion-label>
        </ion-item>
      </ion-list>
    </ion-accordion>
    <ion-accordion *ngIf='group.coverage && group.coverage.length' aria-expanded='true' toggle-icon='false'>
      <ion-item slot="header">
        <ion-label class='ion-text-wrap'><h1>{{ 'servizi.copertura_geografica' | translate }}</h1>
          <ion-text>
            <ion-chip outline color="primary" *ngFor='let chip of group.coverage'>
              <ion-label>{{chip}}</ion-label>
            </ion-chip>
          </ion-text>
        </ion-label>
      </ion-item>
    </ion-accordion>
    <ion-accordion *ngIf='group.howto !== "" && group.howto'>
      <ion-item slot="content">
        <ion-label>
          <h1>{{ 'servizi.accedere_al_servizio' | translate }}</h1>
        </ion-label>
      </ion-item>
      <ion-list slot="content">
        <ion-item>
          <ion-label class='ion-text-wrap' [innerHTML]='group.howto | sanitizeHtml'></ion-label>
        </ion-item>
      </ion-list>
    </ion-accordion>
    <ion-accordion *ngIf='group.more_info !== "" && group.more_info'>
      <ion-item slot="content">
        <ion-label><h1>{{ 'servizi.maggiori_informazioni' | translate }}</h1></ion-label>
      </ion-item>
      <ion-list slot="content">
        <ion-item>
          <ion-label class='ion-text-wrap' [innerHTML]='group.more_info | sanitizeHtml'></ion-label>
        </ion-item>
      </ion-list>
    </ion-accordion>
  </ion-accordion-group>
    <ion-list *ngIf='group.recipients && group.recipients.length' >
      <ion-item lines='none'>
        <ion-label class='ion-text-wrap'><h1>{{ 'servizi.destinatari' | translate }}</h1>
          <ion-text>
            <ion-chip outline color="primary" *ngFor='let chip of group.recipients'>
              <ion-label>{{chip.name}}</ion-label>
            </ion-chip>
          </ion-text>
        </ion-label>
      </ion-item>
    </ion-list>
  </div>
  <ng-container *ngIf='!group'>
    <ion-list *ngFor='let number of [0,1,2,3,4,5,6,7,8,9]'>
      <ion-item-group>
        <ion-item>
          <ion-skeleton-text animated style='width: 40%'></ion-skeleton-text>
        </ion-item>
        <ion-item>
          <ion-skeleton-text animated style='width: 80%'></ion-skeleton-text>
        </ion-item>
        <ion-item>
          <ion-skeleton-text animated style='width: 50%'></ion-skeleton-text>
        </ion-item>
        <ion-item>
          <ion-skeleton-text animated style='width: 60%'></ion-skeleton-text>
        </ion-item>
        <ion-item>
          <ion-skeleton-text animated style='width: 80%'></ion-skeleton-text>
        </ion-item>
      </ion-item-group>
    </ion-list>
  </ng-container>
  <div *ngIf='servicesGroup' class='ion-padding'>
    <div *ngFor='let s of servicesGroup.value'>
      <ion-button size='large' class='ion-text-wrap button'
                  (click)="navigateWithData('form', s)"
                  expand="block" fill="outline"
                  *ngIf='s.status == 1'>
        {{s.name}}
      </ion-button>
      <ion-button size='large' class='ion-text-wrap button'
                  expand="block" fill="outline"
                  *ngIf='s.status == 2' [disabled]='true'>
        {{s.name}}
      </ion-button>
      <ion-text  *ngIf='s.status == 4'> {{ 'common.attivo' | translate }} {{ 'common.dal' | translate }} {{s.scheduled_from | date : 'dd/MM/yyyy'}} {{ 'common.al' | translate }} {{s.scheduled_to | date : 'dd/MM/yyyy'}}</ion-text>
      <ion-button size='large' class='ion-text-wrap button'
                  expand="block" fill="outline"
                  (click)="navigateWithData('form', s)"
                  *ngIf='s.status == 4'>
        {{s.name}}
      </ion-button>
    </div>

  </div>
</ion-content>
